Bug 117092 - clicking anywhere in a window brings it to the front
clicking anywhere in a window brings it to the front
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-28 07:31 EST by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 15:52:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-02-28 07:31:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
This new behavior is very inconvenient when a packed desktop is full
of applications carefully arranged such that irrelevant portions of
the windows are obscured.  Please at least provide an option to retain
the old behavior, by which bringing a window to the front took more
than clicking anywhere in the window.  It could already be easily done
with Alt-TAB and by clicking on the window frame, but undoing the
damage that the current behavior does can be very difficult at times.

Version-Release number of selected component (if applicable):
metacity-2.7.0-1
Comment 1 Elijah Newren 2004-04-14 20:01:40 EDT
Alexandre: Please see http://bugzilla.gnome.org/show_bug.cgi?id=86108,
  http://bugzilla.gnome.org/show_bug.cgi?id=115072, or
http://bugzilla.gnome.org/show_bug.cgi?id=115753.  Before implementing
a feature like this, the maintainer wants to see attempts to allow
windows to not raise on drag and drop operations but to raise
otherwise upon clicking.

Of course, if you're interested, I have some patches (as do others) to
provide this feature.

Note You need to log in before you can comment on or make changes to this bug.